<?php
  $Position = '../../';
  require_once($Position.'config/config.php');
  error_reporting(E_ALL);
  ini_set('display_errors', 1);
  //error_reporting(0);

  use PHPMailer\PHPMailer\PHPMailer;
  use PHPMailer\PHPMailer\Exception;
  use PHPMailer\PHPMailer\SMTP;

  require '../src/Exception.php';
  require '../src/PHPMailer.php';
  require '../src/SMTP.php';

  echo "Prueba de Mail<hr />";

  $mail = new PHPMailer();

  //Luego tenemos que iniciar la validación por SMTP:
  //$mail->IsSMTP();
  $mail->SMTPAuth = true;
  $mail->Host = "secureserver.ardo.group"; // A RELLENAR. Aquí pondremos el SMTP a utilizar. Por ej. mail.midominio.com
  $mail->Username = "soporte@ardo.software"; // A RELLENAR. Email de la cuenta de correo. ej.info@midominio.com La cuenta de correo debe ser creada previamente.
  $mail->Password = "CXRR301211age"; // A RELLENAR. Aqui pondremos la contraseña de la cuenta de correo
  $mail->Port = 465; // Puerto de conexión al servidor de envio.
  $mail->From = "soporte@ardo.software"; // A RELLENARDesde donde enviamos (Para mostrar). Puede ser el mismo que el email creado previamente.
  $mail->FromName = "Ardo"; //A RELLENAR Nombre a mostrar del remitente.
  $mail->AddAddress("fernando.ramirez.garcia@gmail.com"); // Esta es la dirección a donde enviamos
  $mail->IsHTML(true); // El correo se envía como HTML
  $mail->Subject = "Correo Ardo"; // Este es el titulo del email.
  $body = "Anexion de documento PDF desde ARDO";
  $body .= "Hola
    <br><br>
    Cambiamos la estructura de nuestros correos de confirmación de cursos para asegurar toda la información proporcionada por el área comercial y para seguridad en la claridad de la información de ambas partes.
    <br /><br />
    Revisar Adjuntos.
  ";
  $mail->Body = $body; // Mensaje a enviar.
  $file = $RootServer."/files/mail/9.xlsx";
  $mail->AddAttachment($file,'9.xlsx');
  $file = $RootServer."/files/mail/8.docx";
  $mail->AddAttachment($file,'8.docx');
  $file = $RootServer."/files/mail/10.pdf";
  $mail->AddAttachment($file,'10.pdf');
  $exito = $mail->Send(); // Envía el correo.
  if($exito){ echo "Correo Enviado"; }else{ echo "Hubo un Error"; }

?>
